OSDN Git Service

Compile with OpenWatcom command line compiler in MSYS.
authorKeishi Suenaga <s_keishi@mutt.freemail.ne.jp>
Thu, 27 May 2004 13:12:19 +0000 (13:12 +0000)
committerKeishi Suenaga <s_keishi@mutt.freemail.ne.jp>
Thu, 27 May 2004 13:12:19 +0000 (13:12 +0000)
Edited Files:
   configure.in interface.h.in interface/Makefile.am interface/vt100_c.c
   libarc/Makefile.am libunimod/Makefile.am libunimod/unimod_priv.h
   timidity/Makefile.am timidity/common.c timidity/gogo_a.c
   timidity/sysdep.h timidity/timidity.c timidity/version.c
   utils/Makefile.am utils/support.h utils/tmdy_getopt.h
Modified Files:
   Makefile.in configure configure.in interface.h.in
   autoconf/Makefile.in configs/Makefile.in doc/Makefile.in
   doc/C/Makefile.in doc/ja_JP.eucJP/Makefile.in
   interface/Makefile.am interface/Makefile.in
   interface/vt100_c.c interface/bitmaps/Makefile.in
   interface/motif_bitmaps/Makefile.in
   interface/pixmaps/Makefile.in libarc/Makefile.am
   libarc/Makefile.in libunimod/Makefile.am libunimod/Makefile.in
   libunimod/unimod_priv.h script/Makefile.in
   timidity/Makefile.am timidity/Makefile.in timidity/common.c
   timidity/gogo_a.c timidity/sysdep.h timidity/timidity.c
   timidity/version.c utils/Makefile.am utils/Makefile.in
   utils/support.h utils/tmdy_getopt.h

Makefile.in
autoconf/Makefile.in
configs/Makefile.in
configure
configure.in
doc/C/Makefile.in
doc/Makefile.in
doc/ja_JP.eucJP/Makefile.in
interface.h.in

index aab1ef9..e2d6560 100644 (file)
@@ -196,6 +196,9 @@ VORBIS_CFLAGS = @VORBIS_CFLAGS@
 VORBIS_LIBS = @VORBIS_LIBS@
 W32READDIR_FALSE = @W32READDIR_FALSE@
 W32READDIR_TRUE = @W32READDIR_TRUE@
+WATCOM_FALSE = @WATCOM_FALSE@
+WATCOM_LDFLAGS = @WATCOM_LDFLAGS@
+WATCOM_TRUE = @WATCOM_TRUE@
 WISH = @WISH@
 W_so_libs = @W_so_libs@
 X_CFLAGS = @X_CFLAGS@
index d59b12c..c189b81 100644 (file)
@@ -195,6 +195,9 @@ VORBIS_CFLAGS = @VORBIS_CFLAGS@
 VORBIS_LIBS = @VORBIS_LIBS@
 W32READDIR_FALSE = @W32READDIR_FALSE@
 W32READDIR_TRUE = @W32READDIR_TRUE@
+WATCOM_FALSE = @WATCOM_FALSE@
+WATCOM_LDFLAGS = @WATCOM_LDFLAGS@
+WATCOM_TRUE = @WATCOM_TRUE@
 WISH = @WISH@
 W_so_libs = @W_so_libs@
 X_CFLAGS = @X_CFLAGS@
index 4c03f77..f631425 100644 (file)
@@ -195,6 +195,9 @@ VORBIS_CFLAGS = @VORBIS_CFLAGS@
 VORBIS_LIBS = @VORBIS_LIBS@
 W32READDIR_FALSE = @W32READDIR_FALSE@
 W32READDIR_TRUE = @W32READDIR_TRUE@
+WATCOM_FALSE = @WATCOM_FALSE@
+WATCOM_LDFLAGS = @WATCOM_LDFLAGS@
+WATCOM_TRUE = @WATCOM_TRUE@
 WISH = @WISH@
 W_so_libs = @W_so_libs@
 X_CFLAGS = @X_CFLAGS@
index 5054ed4..7416c0d 100755 (executable)
--- a/configure
+++ b/configure
@@ -311,7 +311,7 @@ ac_includes_default="\
 # include <unistd.h>
 #endif"
 
-ac_subst_vars='SHELL PATH_SEPARATOR PACKAGE_NAME PACKAGE_TARNAME PACKAGE_VERSION PACKAGE_STRING PACKAGE_BUGREPORT exec_prefix prefix program_transform_name bindir sbindir libexecdir datadir sysconfdir sharedstatedir localstatedir libdir includedir oldincludedir infodir mandir build_alias host_alias target_alias DEFS ECHO_C ECHO_N ECHO_T LIBS build build_cpu build_vendor build_os host host_cpu host_vendor host_os target target_cpu target_vendor target_os INSTALL_PROGRAM INSTALL_SCRIPT INSTALL_DATA CYGPATH_W PACKAGE VERSION ACLOCAL AUTOCONF AUTOMAKE AUTOHEADER MAKEINFO AMTAR install_sh STRIP ac_ct_STRIP INSTALL_STRIP_PROGRAM AWK SET_MAKE am__leading_dot MAINTAINER_MODE_TRUE MAINTAINER_MODE_FALSE MAINT EMACS lispdir CC CFLAGS LDFLAGS CPPFLAGS ac_ct_CC EXEEXT OBJEXT DEPDIR am__include am__quote AMDEP_TRUE AMDEP_FALSE AMDEPBACKSLASH CCDEPMODE am__fastdepCC_TRUE am__fastdepCC_FALSE CPP EGREP RANLIB ac_ct_RANLIB LN_S X_CFLAGS X_PRE_LIBS X_LIBS X_EXTRA_LIBS LIBOBJS NEEDGETOPT_TRUE NEEDGETOPT_FALSE ALSA_CFLAGS ALSA_LIBS ARTS_CONFIG ARTS_CFLAGS ARTS_LIBS ESD_CONFIG ESD_CFLAGS ESD_LIBS AO_CFLAGS AO_LIBS VORBIS_CFLAGS VORBIS_LIBS VORBISFILE_LIBS VORBISENC_LIBS OGG_CFLAGS OGG_LIBS LIBFLAC_CFLAGS LIBFLAC_LIBS LIBOGGFLAC_CFLAGS LIBOGGFLAC_LIBS NEEDDLOPEN_TRUE NEEDDLOPEN_FALSE ENABLE_NCURSES_TRUE ENABLE_NCURSES_FALSE n_so_libs ENABLE_SLANG_TRUE ENABLE_SLANG_FALSE s_so_libs ENABLE_MOTIF_TRUE ENABLE_MOTIF_FALSE m_so_libs ENABLE_TCLTK_TRUE ENABLE_TCLTK_FALSE k_so_libs ENABLE_DYNAMIC_TCLTK_TRUE ENABLE_DYNAMIC_TCLTK_FALSE ENABLE_EMACS_TRUE ENABLE_EMACS_FALSE e_so_libs ENABLE_VT100_TRUE ENABLE_VT100_FALSE T_so_libs ENABLE_XAW_TRUE ENABLE_XAW_FALSE a_so_libs ENABLE_DYNAMIC_XAW_TRUE ENABLE_DYNAMIC_XAW_FALSE ENABLE_XSKIN_TRUE ENABLE_XSKIN_FALSE i_so_libs ENABLE_GTK_TRUE ENABLE_GTK_FALSE GTK_CONFIG GTK_CFLAGS GTK_LIBS g_so_libs ENABLE_SERVER_TRUE ENABLE_SERVER_FALSE r_so_libs ENABLE_ALSASEQ_TRUE ENABLE_ALSASEQ_FALSE A_so_libs ENABLE_WINSYN_TRUE ENABLE_WINSYN_FALSE W_so_libs ENABLE_PORTMIDISYN_TRUE ENABLE_PORTMIDISYN_FALSE P_so_libs ENABLE_W32G_SYN_TRUE ENABLE_W32G_SYN_FALSE ENABLE_W32GUI_TRUE ENABLE_W32GUI_FALSE w_so_libs ENABLE_PLUGIN_TRUE ENABLE_PLUGIN_FALSE p_so_libs ENABLE_NETWORK_TRUE ENABLE_NETWORK_FALSE ENABLE_SOUND_SPEC_TRUE ENABLE_SOUND_SPEC_FALSE ENABLE_WRD_TRUE ENABLE_WRD_FALSE CYGNUS_TRUE CYGNUS_FALSE MSYS_TRUE MSYS_FALSE VCPP_TRUE VCPP_FALSE BORLANDC_TRUE BORLANDC_FALSE W32READDIR_TRUE W32READDIR_FALSE BORLANDC_START BORLANDC_LDFLAGS timidity_LDFLAGS VCPP_LDFLAGS SYSEXTRAS EXTRALIBS NETSRCS ELFILES SHLD SHCFLAGS dynamic_targets so WISH tcltk_dep INTERFACE_SRCS pkgdatadir pkglibdir LTLIBOBJS'
+ac_subst_vars='SHELL PATH_SEPARATOR PACKAGE_NAME PACKAGE_TARNAME PACKAGE_VERSION PACKAGE_STRING PACKAGE_BUGREPORT exec_prefix prefix program_transform_name bindir sbindir libexecdir datadir sysconfdir sharedstatedir localstatedir libdir includedir oldincludedir infodir mandir build_alias host_alias target_alias DEFS ECHO_C ECHO_N ECHO_T LIBS build build_cpu build_vendor build_os host host_cpu host_vendor host_os target target_cpu target_vendor target_os INSTALL_PROGRAM INSTALL_SCRIPT INSTALL_DATA CYGPATH_W PACKAGE VERSION ACLOCAL AUTOCONF AUTOMAKE AUTOHEADER MAKEINFO AMTAR install_sh STRIP ac_ct_STRIP INSTALL_STRIP_PROGRAM AWK SET_MAKE am__leading_dot MAINTAINER_MODE_TRUE MAINTAINER_MODE_FALSE MAINT EMACS lispdir CC CFLAGS LDFLAGS CPPFLAGS ac_ct_CC EXEEXT OBJEXT DEPDIR am__include am__quote AMDEP_TRUE AMDEP_FALSE AMDEPBACKSLASH CCDEPMODE am__fastdepCC_TRUE am__fastdepCC_FALSE CPP EGREP RANLIB ac_ct_RANLIB LN_S X_CFLAGS X_PRE_LIBS X_LIBS X_EXTRA_LIBS LIBOBJS NEEDGETOPT_TRUE NEEDGETOPT_FALSE ALSA_CFLAGS ALSA_LIBS ARTS_CONFIG ARTS_CFLAGS ARTS_LIBS ESD_CONFIG ESD_CFLAGS ESD_LIBS AO_CFLAGS AO_LIBS VORBIS_CFLAGS VORBIS_LIBS VORBISFILE_LIBS VORBISENC_LIBS OGG_CFLAGS OGG_LIBS LIBFLAC_CFLAGS LIBFLAC_LIBS LIBOGGFLAC_CFLAGS LIBOGGFLAC_LIBS NEEDDLOPEN_TRUE NEEDDLOPEN_FALSE ENABLE_NCURSES_TRUE ENABLE_NCURSES_FALSE n_so_libs ENABLE_SLANG_TRUE ENABLE_SLANG_FALSE s_so_libs ENABLE_MOTIF_TRUE ENABLE_MOTIF_FALSE m_so_libs ENABLE_TCLTK_TRUE ENABLE_TCLTK_FALSE k_so_libs ENABLE_DYNAMIC_TCLTK_TRUE ENABLE_DYNAMIC_TCLTK_FALSE ENABLE_EMACS_TRUE ENABLE_EMACS_FALSE e_so_libs ENABLE_VT100_TRUE ENABLE_VT100_FALSE T_so_libs ENABLE_XAW_TRUE ENABLE_XAW_FALSE a_so_libs ENABLE_DYNAMIC_XAW_TRUE ENABLE_DYNAMIC_XAW_FALSE ENABLE_XSKIN_TRUE ENABLE_XSKIN_FALSE i_so_libs ENABLE_GTK_TRUE ENABLE_GTK_FALSE GTK_CONFIG GTK_CFLAGS GTK_LIBS g_so_libs ENABLE_SERVER_TRUE ENABLE_SERVER_FALSE r_so_libs ENABLE_ALSASEQ_TRUE ENABLE_ALSASEQ_FALSE A_so_libs ENABLE_WINSYN_TRUE ENABLE_WINSYN_FALSE W_so_libs ENABLE_PORTMIDISYN_TRUE ENABLE_PORTMIDISYN_FALSE P_so_libs ENABLE_W32G_SYN_TRUE ENABLE_W32G_SYN_FALSE ENABLE_W32GUI_TRUE ENABLE_W32GUI_FALSE w_so_libs ENABLE_PLUGIN_TRUE ENABLE_PLUGIN_FALSE p_so_libs ENABLE_NETWORK_TRUE ENABLE_NETWORK_FALSE ENABLE_SOUND_SPEC_TRUE ENABLE_SOUND_SPEC_FALSE ENABLE_WRD_TRUE ENABLE_WRD_FALSE CYGNUS_TRUE CYGNUS_FALSE MSYS_TRUE MSYS_FALSE VCPP_TRUE VCPP_FALSE BORLANDC_TRUE BORLANDC_FALSE WATCOM_TRUE WATCOM_FALSE W32READDIR_TRUE W32READDIR_FALSE BORLANDC_START BORLANDC_LDFLAGS timidity_LDFLAGS WATCOM_LDFLAGS VCPP_LDFLAGS SYSEXTRAS EXTRALIBS NETSRCS ELFILES SHLD SHCFLAGS dynamic_targets so WISH tcltk_dep INTERFACE_SRCS pkgdatadir pkglibdir LTLIBOBJS'
 ac_subst_files=''
 
 # Initialize some variables set by options.
@@ -3893,6 +3893,12 @@ case "$target" in
         CFLAGS="$CFLAGS  -tWM -VM"
         EXTRADEFS="$EXTRADEFS -D_WINDOWS -DWIN32"
         ;;
+      "xwcc386_w "*)
+         WATCOM=yes
+         CFLAGS="$CFLAGS -5s -zk0 -bm -zp=16 -w=4 -D_MSC_VER -D_WINDOWS -DWIN32 -DINCLUDE_WINDOWS_H"
+         WATCOM_LDFLAGS=
+         EXTRALIBS="$EXTRALIBS kernel32.lib winspool.lib comdlg32.lib advapi32.lib oleaut32.lib uuid.lib odbc32.lib odbccp32.lib wsock32.lib user32.lib shell32.lib libcmt.lib"
+         ;;
       "xcl "*)
          test -n "$SHLD" || SHLD="link -dll"
          VCPP_LDFLAGS="-nologo -incremental:no  -nodefaultlib:libc.lib -nodefaultlib:msvcrt.lib kernel32.lib winspool.lib comdlg32.lib advapi32.lib oleaut32.lib uuid.lib odbc32.lib odbccp32.lib wsock32.lib user32.lib shell32.lib libcmt.lib"
@@ -3920,6 +3926,12 @@ case "$target" in
         CFLAGS="$CFLAGS  -tWM -VM"
         EXTRADEFS="$EXTRADEFS -D_WINDOWS -DWIN32"
         ;;
+      "xwcc386_w "*)
+         WATCOM=yes
+         CFLAGS="$CFLAGS -5s -zk0 -bm -zp=16 -w=4 -D_MSC_VER -D_WINDOWS -DWIN32 -DINCLUDE_WINDOWS_H"
+         WATCOM_LDFLAGS=
+         EXTRALIBS="$EXTRALIBS kernel32.lib winspool.lib comdlg32.lib advapi32.lib oleaut32.lib uuid.lib odbc32.lib odbccp32.lib wsock32.lib user32.lib shell32.lib libcmt.lib"
+         ;;
       "xcl "*)
          test -n "$SHLD" || SHLD="link -dll"
          VCPP=yes
@@ -4266,7 +4278,7 @@ if test $ac_cv_lib_objc_NSLinkModule = yes; then
   lib_dl_opt=-lobjc
 fi
  # Mac OS X need this.
-if test "x$VCPP" != "xyes" && test "x$BORLANDC" != "xyes"; then
+if test "x$VCPP" != "xyes" && test "x$BORLANDC" != "xyes" && test "x$WATCOM" != "xyes"; then
 
 echo "$as_me:$LINENO: checking for setlocale in -lxpg4" >&5
 echo $ECHO_N "checking for setlocale in -lxpg4... $ECHO_C" >&6
@@ -7309,6 +7321,7 @@ _ACEOF
 
 fi
 
+if test "x$WATCOM" != xyes ; then
 echo "$as_me:$LINENO: checking whether time.h and sys/time.h may both be included" >&5
 echo $ECHO_N "checking whether time.h and sys/time.h may both be included... $ECHO_C" >&6
 if test "${ac_cv_header_time+set}" = set; then
@@ -7374,6 +7387,7 @@ _ACEOF
 
 fi
 
+fi
 
 
 
@@ -7741,6 +7755,7 @@ fi
 
 
 
+
 for ac_header in \
   arpa/inet.h \
   errno.h \
@@ -7751,6 +7766,7 @@ for ac_header in \
   inttypes.h \
   limits.h \
   machine/endian.h \
+  malloc.h \
   memory.h \
   netdb.h \
   netinet/in.h \
@@ -8142,160 +8158,9 @@ _ACEOF
 fi
 
 
-if test "x$VCPP" != xyes && test "x$BORLANDC" != xyes; then
-
-for ac_header in malloc.h
-do
-as_ac_Header=`echo "ac_cv_header_$ac_header" | $as_tr_sh`
-if eval "test \"\${$as_ac_Header+set}\" = set"; then
-  echo "$as_me:$LINENO: checking for $ac_header" >&5
-echo $ECHO_N "checking for $ac_header... $ECHO_C" >&6
-if eval "test \"\${$as_ac_Header+set}\" = set"; then
-  echo $ECHO_N "(cached) $ECHO_C" >&6
-fi
-echo "$as_me:$LINENO: result: `eval echo '${'$as_ac_Header'}'`" >&5
-echo "${ECHO_T}`eval echo '${'$as_ac_Header'}'`" >&6
-else
-  # Is the header compilable?
-echo "$as_me:$LINENO: checking $ac_header usability" >&5
-echo $ECHO_N "checking $ac_header usability... $ECHO_C" >&6
-cat >conftest.$ac_ext <<_ACEOF
-/* confdefs.h.  */
-_ACEOF
-cat confdefs.h >>conftest.$ac_ext
-cat >>conftest.$ac_ext <<_ACEOF
-/* end confdefs.h.  */
-$ac_includes_default
-#include <$ac_header>
-_ACEOF
-rm -f conftest.$ac_objext
-if { (eval echo "$as_me:$LINENO: \"$ac_compile\"") >&5
-  (eval $ac_compile) 2>conftest.er1
-  ac_status=$?
-  grep -v '^ *+' conftest.er1 >conftest.err
-  rm -f conftest.er1
-  cat conftest.err >&5
-  echo "$as_me:$LINENO: \$? = $ac_status" >&5
-  (exit $ac_status); } &&
-        { ac_try='test -z "$ac_c_werror_flag"
-                        || test ! -s conftest.err'
-  { (eval echo "$as_me:$LINENO: \"$ac_try\"") >&5
-  (eval $ac_try) 2>&5
-  ac_status=$?
-  echo "$as_me:$LINENO: \$? = $ac_status" >&5
-  (exit $ac_status); }; } &&
-        { ac_try='test -s conftest.$ac_objext'
-  { (eval echo "$as_me:$LINENO: \"$ac_try\"") >&5
-  (eval $ac_try) 2>&5
-  ac_status=$?
-  echo "$as_me:$LINENO: \$? = $ac_status" >&5
-  (exit $ac_status); }; }; then
-  ac_header_compiler=yes
-else
-  echo "$as_me: failed program was:" >&5
-sed 's/^/| /' conftest.$ac_ext >&5
-
-ac_header_compiler=no
-fi
-rm -f conftest.err conftest.$ac_objext conftest.$ac_ext
-echo "$as_me:$LINENO: result: $ac_header_compiler" >&5
-echo "${ECHO_T}$ac_header_compiler" >&6
-
-# Is the header present?
-echo "$as_me:$LINENO: checking $ac_header presence" >&5
-echo $ECHO_N "checking $ac_header presence... $ECHO_C" >&6
-cat >conftest.$ac_ext <<_ACEOF
-/* confdefs.h.  */
-_ACEOF
-cat confdefs.h >>conftest.$ac_ext
-cat >>conftest.$ac_ext <<_ACEOF
-/* end confdefs.h.  */
-#include <$ac_header>
-_ACEOF
-if { (eval echo "$as_me:$LINENO: \"$ac_cpp conftest.$ac_ext\"") >&5
-  (eval $ac_cpp conftest.$ac_ext) 2>conftest.er1
-  ac_status=$?
-  grep -v '^ *+' conftest.er1 >conftest.err
-  rm -f conftest.er1
-  cat conftest.err >&5
-  echo "$as_me:$LINENO: \$? = $ac_status" >&5
-  (exit $ac_status); } >/dev/null; then
-  if test -s conftest.err; then
-    ac_cpp_err=$ac_c_preproc_warn_flag
-    ac_cpp_err=$ac_cpp_err$ac_c_werror_flag
-  else
-    ac_cpp_err=
-  fi
-else
-  ac_cpp_err=yes
-fi
-if test -z "$ac_cpp_err"; then
-  ac_header_preproc=yes
-else
-  echo "$as_me: failed program was:" >&5
-sed 's/^/| /' conftest.$ac_ext >&5
-
-  ac_header_preproc=no
-fi
-rm -f conftest.err conftest.$ac_ext
-echo "$as_me:$LINENO: result: $ac_header_preproc" >&5
-echo "${ECHO_T}$ac_header_preproc" >&6
-
-# So?  What about this header?
-case $ac_header_compiler:$ac_header_preproc:$ac_c_preproc_warn_flag in
-  yes:no: )
-    { echo "$as_me:$LINENO: WARNING: $ac_header: accepted by the compiler, rejected by the preprocessor!" >&5
-echo "$as_me: WARNING: $ac_header: accepted by the compiler, rejected by the preprocessor!" >&2;}
-    { echo "$as_me:$LINENO: WARNING: $ac_header: proceeding with the compiler's result" >&5
-echo "$as_me: WARNING: $ac_header: proceeding with the compiler's result" >&2;}
-    ac_header_preproc=yes
-    ;;
-  no:yes:* )
-    { echo "$as_me:$LINENO: WARNING: $ac_header: present but cannot be compiled" >&5
-echo "$as_me: WARNING: $ac_header: present but cannot be compiled" >&2;}
-    { echo "$as_me:$LINENO: WARNING: $ac_header:     check for missing prerequisite headers?" >&5
-echo "$as_me: WARNING: $ac_header:     check for missing prerequisite headers?" >&2;}
-    { echo "$as_me:$LINENO: WARNING: $ac_header: see the Autoconf documentation" >&5
-echo "$as_me: WARNING: $ac_header: see the Autoconf documentation" >&2;}
-    { echo "$as_me:$LINENO: WARNING: $ac_header:     section \"Present But Cannot Be Compiled\"" >&5
-echo "$as_me: WARNING: $ac_header:     section \"Present But Cannot Be Compiled\"" >&2;}
-    { echo "$as_me:$LINENO: WARNING: $ac_header: proceeding with the preprocessor's result" >&5
-echo "$as_me: WARNING: $ac_header: proceeding with the preprocessor's result" >&2;}
-    { echo "$as_me:$LINENO: WARNING: $ac_header: in the future, the compiler will take precedence" >&5
-echo "$as_me: WARNING: $ac_header: in the future, the compiler will take precedence" >&2;}
-    (
-      cat <<\_ASBOX
-## ------------------------------- ##
-## Report this to root@mput.dip.jp ##
-## ------------------------------- ##
-_ASBOX
-    ) |
-      sed "s/^/$as_me: WARNING:     /" >&2
-    ;;
-esac
-echo "$as_me:$LINENO: checking for $ac_header" >&5
-echo $ECHO_N "checking for $ac_header... $ECHO_C" >&6
-if eval "test \"\${$as_ac_Header+set}\" = set"; then
-  echo $ECHO_N "(cached) $ECHO_C" >&6
-else
-  eval "$as_ac_Header=\$ac_header_preproc"
-fi
-echo "$as_me:$LINENO: result: `eval echo '${'$as_ac_Header'}'`" >&5
-echo "${ECHO_T}`eval echo '${'$as_ac_Header'}'`" >&6
-
-fi
-if test `eval echo '${'$as_ac_Header'}'` = yes; then
-  cat >>confdefs.h <<_ACEOF
-#define `echo "HAVE_$ac_header" | $as_tr_cpp` 1
-_ACEOF
-
-fi
-
-done
-
-fi
 
 # Checks for typedefs, structures, and compiler characteristics.
+if test "x$WATCOM" != xyes ; then
 echo "$as_me:$LINENO: checking whether byte ordering is bigendian" >&5
 echo $ECHO_N "checking whether byte ordering is bigendian... $ECHO_C" >&6
 if test "${ac_cv_c_bigendian+set}" = set; then
@@ -8526,6 +8391,7 @@ presetting ac_cv_c_bigendian=no (or yes) will help" >&2;}
    { (exit 1); exit 1; }; } ;;
 esac
 
+fi
 
 echo "$as_me:$LINENO: checking whether char is unsigned" >&5
 echo $ECHO_N "checking whether char is unsigned... $ECHO_C" >&6
@@ -10668,7 +10534,7 @@ cat >>confdefs.h <<_ACEOF
 _ACEOF
 
 
-if test "x$VCPP" != xyes && test "x$BORLANDC" != xyes; then
+if test "x$VCPP" != xyes && test "x$BORLANDC" != xyes && test "x$WATCOM" != "xyes"; then
 
 for ac_func in vprintf
 do
@@ -11038,7 +10904,7 @@ _ACEOF
 fi
 done
 
-if test "x$VCPP" = xyes || test "x$BORLANDC" = xyes; then
+if test "x$VCPP" = xyes || test "x$BORLANDC" = xyes || test "x$WATCOM" = xyes; then
   cat >>confdefs.h <<\_ACEOF
 #define RETSIGTYPE int
 _ACEOF
@@ -11338,7 +11204,7 @@ fi
     ;;
   esac
   if test "x$enable_network" = "xyes"; then
-       if test "x$VCPP" = xyes || test "x$BORLANDC" = xyes; then
+       if test "x$VCPP" = xyes || test "x$BORLANDC" = xyes || test "x$WATCOM" = xyes; then
       EXTRALIBS="$EXTRALIBS  wsock32.lib"
       EXTRADEFS="$EXTRADEFS -DWINSOCK"
     else
@@ -11917,7 +11783,7 @@ echo "$as_me: WARNING: may not work on $target" >&2;}
      ;;
   esac
   SYSEXTRAS="$SYSEXTRAS w32_a.c"
-  if test "x$VCPP" = xyes || test "x$BORLANDC" = xyes; then
+  if test "x$VCPP" = xyes || test "x$BORLANDC" = xyes || test "x$WATCOM" = xyes; then
        EXTRALIBS="$EXTRALIBS winmm.lib"
   else
     EXTRALIBS="$EXTRALIBS -lwinmm"
@@ -16238,7 +16104,7 @@ fi
 
                  ;;
                *)
-                 if test "x$VCPP" = xyes || test "x$BORLANDC" = xyes; then
+                 if test "x$VCPP" = xyes || test "x$BORLANDC" = xyes || test "x$WATCOM" = xyes; then
                    lib_curses_opt=libpdcurses.lib
 
 cat >>confdefs.h <<\_ACEOF
@@ -18279,17 +18145,22 @@ else
 fi
 
 
-  if test "x$VCPP" = xyes || test "x$BORLANDC" = xyes; then
+  if test "x$VCPP" = xyes || test "x$BORLANDC" = xyes || test "x$WATCOM" = xyes; then
     INTERFACE_SRCS="$INTERFACE_SRCS w32g_ini.c w32g_pref.c w32g_syn.c w32g_utl.c winsyn_c.c rtsyn_common.c rtsyn_winmm.c"
     lib_w32gui_opt='gdi32.lib comctl32.lib comdlg32.lib ole32.lib'
     lib_user32_opt='user32.lib'
     if test "x$VCPP" = xyes; then
-      VCPP_LDFLAGS="$VCPP_LDFLAGS -subsystem:windows "
-    else
+         VCPP_LDFLAGS="$VCPP_LDFLAGS -subsystem:windows "
+       fi
+       if test "x$BORLANDC" = xyes; then
          BORLANDC_START='C0W32.OBJ'
-      CFLAGS="$CFLAGS -tW"
-      lib_w32gui_opt="-aa $lib_w32gui_opt"
-    fi
+         CFLAGS="$CFLAGS -tW"
+         lib_w32gui_opt="-aa $lib_w32gui_opt"
+       fi
+       if test "x$WATCOM" = xyes; then
+         CFLAGS="$CFLAGS -bw"
+         WATCOM_LDFLAGS="$WATCOM_LDFLAGS SYS nt_win"
+       fi
   else
        lib_w32gui_opt='-lgdi32 -lcomctl32 -lcomdlg32 -lole32'
     lib_user32_opt='-luser32'
@@ -18342,17 +18213,22 @@ else
 fi
 
 
-  if test "x$VCPP" = xyes || test "x$BORLANDC" = xyes; then
+  if test "x$VCPP" = xyes || test "x$BORLANDC" = xyes || test "x$WATCOM" = xyes; then
        INTERFACE_SRCS="$INTERFACE_SRCS w32g_c.c w32g_ini.c w32g_i.c w32g_playlist.c w32g_utl.c w32g_pref.c w32g_subwin.c w32g_subwin2.c w32g_subwin3.c w32g_ut2.c w32g_dib.c  wrdt_w32g.c w32g_mag.c"
     lib_w32gui_opt='gdi32.lib comctl32.lib comdlg32.lib ole32.lib'
     lib_user32_opt='user32.lib'
     if test "x$VCPP" = xyes; then
          VCPP_LDFLAGS="$VCPP_LDFLAGS -subsystem:windows "
-       else
+       fi
+       if test "x$BORLANDC" = xyes; then
          BORLANDC_START='C0W32.OBJ'
          CFLAGS="$CFLAGS -tW"
          lib_w32gui_opt="-aa $lib_w32gui_opt"
        fi
+       if test "x$WATCOM" = xyes; then
+         CFLAGS="$CFLAGS -bw"
+         WATCOM_LDFLAGS="$WATCOM_LDFLAGS SYS nt_win"
+       fi
   else
     lib_w32gui_opt='-lgdi32 -lcomctl32 -lcomdlg32 -lole32'
     lib_user32_opt='-luser32'
 
 
 
+if test "x$WATCOM" = xyes; then
+  WATCOM_TRUE=
+  WATCOM_FALSE='#'
+else
+  WATCOM_TRUE='#'
+  WATCOM_FALSE=
+fi
+
+
+
 
 if test "x$W32READDIR" = "xyes"; then
   W32READDIR_TRUE=
@@ -19327,6 +19213,7 @@ SHLD="$SHLD $SHLDFLAGS"
 
 
 
+
                                                                                                                                                                                     ac_config_files="$ac_config_files Makefile autoconf/Makefile common.makefile configs/Makefile doc/Makefile doc/C/Makefile doc/ja_JP.eucJP/Makefile interface/Makefile interface/motif_bitmaps/Makefile interface/bitmaps/Makefile interface/pixmaps/Makefile libarc/Makefile libunimod/Makefile timidity/Makefile utils/Makefile script/Makefile TiMidity.ad TiMidity-uj.ad"
 
 cat >confcache <<\_ACEOF
@@ -19742,6 +19629,13 @@ echo "$as_me: error: conditional \"BORLANDC\" was never defined.
 Usually this means the macro was only invoked conditionally." >&2;}
    { (exit 1); exit 1; }; }
 fi
+if test -z "${WATCOM_TRUE}" && test -z "${WATCOM_FALSE}"; then
+  { { echo "$as_me:$LINENO: error: conditional \"WATCOM\" was never defined.
+Usually this means the macro was only invoked conditionally." >&5
+echo "$as_me: error: conditional \"WATCOM\" was never defined.
+Usually this means the macro was only invoked conditionally." >&2;}
+   { (exit 1); exit 1; }; }
+fi
 if test -z "${W32READDIR_TRUE}" && test -z "${W32READDIR_FALSE}"; then
   { { echo "$as_me:$LINENO: error: conditional \"W32READDIR\" was never defined.
 Usually this means the macro was only invoked conditionally." >&5
@@ -20453,11 +20347,14 @@ s,@VCPP_TRUE@,$VCPP_TRUE,;t t
 s,@VCPP_FALSE@,$VCPP_FALSE,;t t
 s,@BORLANDC_TRUE@,$BORLANDC_TRUE,;t t
 s,@BORLANDC_FALSE@,$BORLANDC_FALSE,;t t
+s,@WATCOM_TRUE@,$WATCOM_TRUE,;t t
+s,@WATCOM_FALSE@,$WATCOM_FALSE,;t t
 s,@W32READDIR_TRUE@,$W32READDIR_TRUE,;t t
 s,@W32READDIR_FALSE@,$W32READDIR_FALSE,;t t
 s,@BORLANDC_START@,$BORLANDC_START,;t t
 s,@BORLANDC_LDFLAGS@,$BORLANDC_LDFLAGS,;t t
 s,@timidity_LDFLAGS@,$timidity_LDFLAGS,;t t
+s,@WATCOM_LDFLAGS@,$WATCOM_LDFLAGS,;t t
 s,@VCPP_LDFLAGS@,$VCPP_LDFLAGS,;t t
 s,@SYSEXTRAS@,$SYSEXTRAS,;t t
 s,@EXTRALIBS@,$EXTRALIBS,;t t
index 0125bab..b5e9b09 100644 (file)
@@ -228,6 +228,12 @@ case "$target" in
         CFLAGS="$CFLAGS  -tWM -VM"
         EXTRADEFS="$EXTRADEFS -D_WINDOWS -DWIN32"
         ;;
+      "xwcc386_w "*)
+         WATCOM=yes
+         CFLAGS="$CFLAGS -5s -zk0 -bm -zp=16 -w=4 -D_MSC_VER -D_WINDOWS -DWIN32 -DINCLUDE_WINDOWS_H"
+         WATCOM_LDFLAGS=
+         EXTRALIBS="$EXTRALIBS kernel32.lib winspool.lib comdlg32.lib advapi32.lib oleaut32.lib uuid.lib odbc32.lib odbccp32.lib wsock32.lib user32.lib shell32.lib libcmt.lib"
+         ;;
       "xcl "*)
          test -n "$SHLD" || SHLD="link -dll" 
          VCPP_LDFLAGS="-nologo -incremental:no  -nodefaultlib:libc.lib -nodefaultlib:msvcrt.lib kernel32.lib winspool.lib comdlg32.lib advapi32.lib oleaut32.lib uuid.lib odbc32.lib odbccp32.lib wsock32.lib user32.lib shell32.lib libcmt.lib"
@@ -255,6 +261,12 @@ case "$target" in
         CFLAGS="$CFLAGS  -tWM -VM"
         EXTRADEFS="$EXTRADEFS -D_WINDOWS -DWIN32"
         ;;
+      "xwcc386_w "*)
+         WATCOM=yes
+         CFLAGS="$CFLAGS -5s -zk0 -bm -zp=16 -w=4 -D_MSC_VER -D_WINDOWS -DWIN32 -DINCLUDE_WINDOWS_H"
+         WATCOM_LDFLAGS=
+         EXTRALIBS="$EXTRALIBS kernel32.lib winspool.lib comdlg32.lib advapi32.lib oleaut32.lib uuid.lib odbc32.lib odbccp32.lib wsock32.lib user32.lib shell32.lib libcmt.lib"
+         ;;
       "xcl "*) 
          test -n "$SHLD" || SHLD="link -dll"
          VCPP=yes
@@ -315,7 +327,7 @@ AC_CHECK_LIB(m,sqrt)
 AC_CHECK_LIB(socket,socket)
 AC_CHECK_LIB(dl,dlopen,lib_dl_opt=-ldl)
 AC_CHECK_LIB(objc,NSLinkModule,lib_dl_opt=-lobjc) # Mac OS X need this.
-if test "x$VCPP" != "xyes" && test "x$BORLANDC" != "xyes"; then
+if test "x$VCPP" != "xyes" && test "x$BORLANDC" != "xyes" && test "x$WATCOM" != "xyes"; then
 AC_CHECK_LIB(xpg4,setlocale) # Mac OS X (and maybe NetBSD) need this.
 fi
 AC_CHECK_FUNCS(gethostbyname,,[ AC_CHECK_LIB(nsl,gethostbyname) ])
@@ -378,7 +390,9 @@ dnl End of X configure
 AC_HEADER_STDC
 AC_HEADER_STDBOOL
 AC_HEADER_SYS_WAIT
+if test "x$WATCOM" != xyes ; then
 AC_HEADER_TIME
+fi
 AC_HEADER_DIRENT
 AC_CHECK_HEADERS( \
   [arpa/inet.h \
@@ -390,6 +404,7 @@ AC_CHECK_HEADERS( \
   inttypes.h \
   limits.h \
   machine/endian.h \
+  malloc.h \
   memory.h \
   netdb.h \
   netinet/in.h \
@@ -425,12 +440,11 @@ AC_CHECK_HEADERS(\
 #endif
   ])
 AC_CHECK_HEADER(string.h,, [ AC_DEFINE(NO_STRING_H,1,Define to 1 if you do not have <string.h>.)])
-if test "x$VCPP" != xyes && test "x$BORLANDC" != xyes; then
-AC_CHECK_HEADERS([malloc.h])
-fi
 
 # Checks for typedefs, structures, and compiler characteristics.
+if test "x$WATCOM" != xyes ; then
 AC_C_BIGENDIAN
+fi
 AC_C_CHAR_UNSIGNED
 AC_C_CONST
 AC_C_INLINE
@@ -515,7 +529,7 @@ AC_FUNC_MEMCMP
 AC_FUNC_MMAP
 AC_FUNC_SETVBUF_REVERSED
 AC_TYPE_SIGNAL
-if test "x$VCPP" != xyes && test "x$BORLANDC" != xyes; then
+if test "x$VCPP" != xyes && test "x$BORLANDC" != xyes && test "x$WATCOM" != "xyes"; then
 AC_FUNC_VPRINTF
 fi
 AC_CHECK_FUNCS( \
@@ -552,7 +566,7 @@ AC_CHECK_FUNCS( \
   strstr \
   strtol \
   usleep])
-if test "x$VCPP" = xyes || test "x$BORLANDC" = xyes; then
+if test "x$VCPP" = xyes || test "x$BORLANDC" = xyes || test "x$WATCOM" = xyes; then
   AC_DEFINE(RETSIGTYPE,int)
   AC_DEFINE(HAVE_GETCWD,int)
   AC_DEFINE(HAVE_GETHOSTBYNAME,1)
@@ -592,7 +606,7 @@ if test "x$CYGNUS" = xyes || test "x$MSYS" = xyes; then
     ;;
   esac
   if test "x$enable_network" = "xyes"; then
-       if test "x$VCPP" = xyes || test "x$BORLANDC" = xyes; then
+       if test "x$VCPP" = xyes || test "x$BORLANDC" = xyes || test "x$WATCOM" = xyes; then
       EXTRALIBS="$EXTRALIBS  wsock32.lib"
       EXTRADEFS="$EXTRADEFS -DWINSOCK" 
     else
@@ -936,7 +950,7 @@ if test "x$au_enable_w32" = xyes; then
      ;;
   esac
   SYSEXTRAS="$SYSEXTRAS w32_a.c"
-  if test "x$VCPP" = xyes || test "x$BORLANDC" = xyes; then
+  if test "x$VCPP" = xyes || test "x$BORLANDC" = xyes || test "x$WATCOM" = xyes; then
        EXTRALIBS="$EXTRALIBS winmm.lib"
   else
     EXTRALIBS="$EXTRALIBS -lwinmm"
@@ -1450,7 +1464,7 @@ dnl configure must check ncurses header with -I/usr/include/ncurses option.
                      enable_ncurses=no ])
                  ;;
                *)
-                 if test "x$VCPP" = xyes || test "x$BORLANDC" = xyes; then
+                 if test "x$VCPP" = xyes || test "x$BORLANDC" = xyes || test "x$WATCOM" = xyes; then
                    lib_curses_opt=libpdcurses.lib
                    AC_DEFINE(USE_PDCURSES,1,Define to 1 if you use PDcurses)
                  else
@@ -1720,17 +1734,22 @@ CONFIG_INTERFACE(winsyng,W32G_SYN,W,
                                                           (default is no)],
   ,
   [ 
-  if test "x$VCPP" = xyes || test "x$BORLANDC" = xyes; then
+  if test "x$VCPP" = xyes || test "x$BORLANDC" = xyes || test "x$WATCOM" = xyes; then
     INTERFACE_SRCS="$INTERFACE_SRCS w32g_ini.c w32g_pref.c w32g_syn.c w32g_utl.c winsyn_c.c rtsyn_common.c rtsyn_winmm.c"
     lib_w32gui_opt='gdi32.lib comctl32.lib comdlg32.lib ole32.lib'
     lib_user32_opt='user32.lib'
     if test "x$VCPP" = xyes; then
-      VCPP_LDFLAGS="$VCPP_LDFLAGS -subsystem:windows "
-    else
+         VCPP_LDFLAGS="$VCPP_LDFLAGS -subsystem:windows "
+       fi
+       if test "x$BORLANDC" = xyes; then
          BORLANDC_START='C0W32.OBJ'
-      CFLAGS="$CFLAGS -tW"
-      lib_w32gui_opt="-aa $lib_w32gui_opt"
-    fi
+         CFLAGS="$CFLAGS -tW"
+         lib_w32gui_opt="-aa $lib_w32gui_opt"
+       fi
+       if test "x$WATCOM" = xyes; then
+         CFLAGS="$CFLAGS -bw"
+         WATCOM_LDFLAGS="$WATCOM_LDFLAGS SYS nt_win"
+       fi
   else
        lib_w32gui_opt='-lgdi32 -lcomctl32 -lcomdlg32 -lole32'
     lib_user32_opt='-luser32'
@@ -1746,17 +1765,22 @@ CONFIG_INTERFACE(w32gui, W32GUI, w,
   [  --enable-w32gui         Enable Windows GUI interface    (default is no)],
   ,
   [ 
-  if test "x$VCPP" = xyes || test "x$BORLANDC" = xyes; then
+  if test "x$VCPP" = xyes || test "x$BORLANDC" = xyes || test "x$WATCOM" = xyes; then
        INTERFACE_SRCS="$INTERFACE_SRCS w32g_c.c w32g_ini.c w32g_i.c w32g_playlist.c w32g_utl.c w32g_pref.c w32g_subwin.c w32g_subwin2.c w32g_subwin3.c w32g_ut2.c w32g_dib.c  wrdt_w32g.c w32g_mag.c"
     lib_w32gui_opt='gdi32.lib comctl32.lib comdlg32.lib ole32.lib'
     lib_user32_opt='user32.lib'
     if test "x$VCPP" = xyes; then
          VCPP_LDFLAGS="$VCPP_LDFLAGS -subsystem:windows "
-       else
+       fi
+       if test "x$BORLANDC" = xyes; then
          BORLANDC_START='C0W32.OBJ'
          CFLAGS="$CFLAGS -tW"
          lib_w32gui_opt="-aa $lib_w32gui_opt"
        fi
+       if test "x$WATCOM" = xyes; then
+         CFLAGS="$CFLAGS -bw"
+         WATCOM_LDFLAGS="$WATCOM_LDFLAGS SYS nt_win"
+       fi
   else
     lib_w32gui_opt='-lgdi32 -lcomctl32 -lcomdlg32 -lole32'
     lib_user32_opt='-luser32'
@@ -1892,6 +1916,7 @@ AM_CONDITIONAL(CYGNUS, test "x$CYGNUS" = xyes)
 AM_CONDITIONAL(MSYS, test "x$MSYS" = xyes)
 AM_CONDITIONAL(VCPP, test "x$VCPP" = xyes)
 AM_CONDITIONAL(BORLANDC, test "x$BORLANDC" = xyes)
+AM_CONDITIONAL(WATCOM, test "x$WATCOM" = xyes)
 
 AM_CONDITIONAL(W32READDIR, test "x$W32READDIR" = "xyes")
 
@@ -1919,6 +1944,7 @@ AC_SUBST(BORLANDC_START)
 AC_SUBST(BORLANDC_LDFLAGS)
 AC_SUBST(SHELL)
 AC_SUBST(timidity_LDFLAGS)
+AC_SUBST(WATCOM_LDFLAGS)
 AC_SUBST(VCPP_LDFLAGS)
 AC_SUBST(SYSEXTRAS)
 AC_SUBST(EXTRALIBS)
index 34a074c..fde0dac 100644 (file)
@@ -194,6 +194,9 @@ VORBIS_CFLAGS = @VORBIS_CFLAGS@
 VORBIS_LIBS = @VORBIS_LIBS@
 W32READDIR_FALSE = @W32READDIR_FALSE@
 W32READDIR_TRUE = @W32READDIR_TRUE@
+WATCOM_FALSE = @WATCOM_FALSE@
+WATCOM_LDFLAGS = @WATCOM_LDFLAGS@
+WATCOM_TRUE = @WATCOM_TRUE@
 WISH = @WISH@
 W_so_libs = @W_so_libs@
 X_CFLAGS = @X_CFLAGS@
index a22b61c..e30d58e 100644 (file)
@@ -219,6 +219,9 @@ VORBIS_CFLAGS = @VORBIS_CFLAGS@
 VORBIS_LIBS = @VORBIS_LIBS@
 W32READDIR_FALSE = @W32READDIR_FALSE@
 W32READDIR_TRUE = @W32READDIR_TRUE@
+WATCOM_FALSE = @WATCOM_FALSE@
+WATCOM_LDFLAGS = @WATCOM_LDFLAGS@
+WATCOM_TRUE = @WATCOM_TRUE@
 WISH = @WISH@
 W_so_libs = @W_so_libs@
 X_CFLAGS = @X_CFLAGS@
index fe20a52..fc882f4 100644 (file)
@@ -194,6 +194,9 @@ VORBIS_CFLAGS = @VORBIS_CFLAGS@
 VORBIS_LIBS = @VORBIS_LIBS@
 W32READDIR_FALSE = @W32READDIR_FALSE@
 W32READDIR_TRUE = @W32READDIR_TRUE@
+WATCOM_FALSE = @WATCOM_FALSE@
+WATCOM_LDFLAGS = @WATCOM_LDFLAGS@
+WATCOM_TRUE = @WATCOM_TRUE@
 WISH = @WISH@
 W_so_libs = @W_so_libs@
 X_CFLAGS = @X_CFLAGS@
index b882ce8..9b35337 100644 (file)
@@ -53,7 +53,9 @@
 #undef IA_PORTMIDISYN
 
 #if defined(IA_W32GUI) || defined(IA_W32G_SYN)
+#ifndef __W32READDIR__
 #define __W32READDIR__
+#endif
 #define URL_DIR_CACHE_ENABLE
 #define __W32G__        /* for Win32 GUI */
 #endif